Subject: Re: bug#22367: 24.5; Emacs asks for confirmation an unnecessary third time about overwriting a changed file

From: Robin Green <[email-masked]>
Date: Mon, 18 Jan 2016 14:45:14 +0000

On 13/01/16 20:07, Eli Zaretskii wrote:
>> From: Robin Green <[email-masked]>
>> Date: Wed, 13 Jan 2016 19:35:48 +0000
>>
>> I chose to edit a buffer whose file had changed on disk. I was asked 3
>> times by emacs if I wished to proceed. The first 2 times were
>> understandable; the third was excessive. The first time was when I
>> pressed the first key while attempting to edit the file; the second time
>> asked for a full 'yes' or 'no' answer when attempting to save the file,
>> and the third time occurred immediately after the second time, and was
>> the same question as the first time.
> Do you see this in "emacs -Q"?  If not, can you tell which
> customizations are necessary to reproduce the problem?  If it does
> occur in "emacs -Q", could you please describe the exact sequence of
> actions to reproduce it?  I cannot reproduce it on my system in
> "emacs -Q", but maybe I'm missing something.
I can't reproduce it any more either. I suspect it was due to an issue 
in magit, which has now been fixed.